#include<bits/stdc++.h>
using namespace std;

int a[2000000];

int main()
{
    int N;
    long long ans=0;

    cin >> N;

    for(int i = 0; i < N; i++)
    {
        cin >> a[i];
    }

    for(int i = 0; i < N; i++)
    {
        for(int k = i+1; k < N; k++)
        {
            if(a[i] >= a[k])
            {
                ans++;
            }
            else
            {
                if(a[k-1] > a[k]) break;
                else ans++;
            }
        }
    }

    for(int i = N-1; i >= 0; i--)
    {
        for(int k = i-1; k >= 0; k--)
        {
            if(a[i] >= a[k])
            {
                ans++;
            }
            else break;
        }
    }

    cout << ans << endl;

    return 0;
}


